com.verisign.epp.codec.loginsecpolicy.v02

## Class EPPLoginSecPolicyTst

- java.lang.Object
- - junit.framework.Assert
  - - junit.framework.TestCase
    - - com.verisign.epp.codec.loginsecpolicy.v02.EPPLoginSecPolicyTst

- All Implemented Interfaces:
    junit.framework.Test

      public class EPPLoginSecPolicyTst
      extends junit.framework.TestCase

  Test of the packet encoder and decoder (CODEC) for the Login Security Policy Extension. The Login Security Policy Extension is a command / response extension of a zone object in the Registry Mapping. The `EPPRegistryTst` utility methods are used to supporting creating a full Registry Mapping command or response that is extended by the Login Security Policy Extension.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `EPPLoginSecPolicyTst(java.lang.String name)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static EPPLoginSecPolicySystem` | `buildLoginSecSystem()` Build a populated `EPPLoginSecPolicyEvent` instance that can be included in one of the Launch Policy Extensions.
    `static void` | `main(java.lang.String[] args)` Unit test main, which accepts the following system property options: iterations Number of unit test iterations to run validate Turn XML validation on (`true`) or off ( `false`).
    `static void` | `setNumIterations(long aNumIterations)` Sets the number of iterations to run per test.
    `protected void` | `setUp()` JUNIT `setUp`, which currently does nothing.
    `static junit.framework.Test` | `suite()` JUNIT `suite` static method, which returns the tests associated with `EPPRegistryTst`.
    `protected void` | `tearDown()` JUNIT `tearDown`, which currently does nothing.
    `void` | `testRegistryInfoSystemInfo()` Test the registry info response for the zone info that includes the Launch Policy Extension.

    - ### Methods inherited from class junit.framework.TestCase

      `countTestCases, createResult, getName, run, run, runBare, runTest, setName, toString`

    - ### Methods inherited from class junit.framework.Assert

      `assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertFalse, assertFalse, assertNotNull, assertNotNull, assertNotSame, assertNotSame, assertNull, assertNull, assertSame, assertSame, assertTrue, assertTrue, fail, fail`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### EPPLoginSecPolicyTst

          public EPPLoginSecPolicyTst(java.lang.String name)

  - ### Method Detail

    - #### testRegistryInfoSystemInfo

          public void testRegistryInfoSystemInfo()

      Test the registry info response for the zone info that includes the Launch Policy Extension.

    - #### main

          public static void main(java.lang.String[] args)

      Unit test main, which accepts the following system property options:
      - iterations Number of unit test iterations to run
      - validate Turn XML validation on (`true`) or off ( `false`). If validate is not specified, validation will be off.
      Parameters:
        `args` - Program arguments

    - #### suite

          public static junit.framework.Test suite()

      JUNIT `suite` static method, which returns the tests associated with `EPPRegistryTst`.
      Returns:
        Test suite

    - #### setUp

          protected void setUp()

      JUNIT `setUp`, which currently does nothing.
      Overrides:
        `setUp` in class `junit.framework.TestCase`

    - #### tearDown

          protected void tearDown()

      JUNIT `tearDown`, which currently does nothing.
      Overrides:
        `tearDown` in class `junit.framework.TestCase`

    - #### setNumIterations

          public static void setNumIterations(long aNumIterations)

      Sets the number of iterations to run per test.
      Parameters:
        `aNumIterations` - number of iterations to run per test

    - #### buildLoginSecSystem

          public static EPPLoginSecPolicySystem buildLoginSecSystem()

      Build a populated `EPPLoginSecPolicyEvent` instance that can be included in one of the Launch Policy Extensions. The populated attributes are based on the sample included in draft-gould-regext-launch-policy. The following phases are added to the populated `EPPLoginSecPolicyEvent` instance:
      1. Sunrise
      2. Claims for Limited Registration Period #1 (LRP1)
      3. Claims for Landrush
      4. Claims (Open)
      5. Custom for Limited Registration Period #2 (LRP2)
      6. Open
      Returns:
        Populated `EPPLoginSecPolicyEvent` based on the sample included in draft-gould-regext-launch-policy.